std::default_delete< _Tp[]> Struct Template Reference
Utilities » Memory » Pointer Abstractions

## Public Member Functions

constexpr | default_delete () noexcept=default
template<typename _Up , typename = typename enable_if<is_convertible<_Up(*)[], _Tp(*)[]>::value>::type>
| default_delete (const default_delete< _Up[]> &) noexcept
template<typename _Up >
enable_if< is_convertible< _Up(*)[], _Tp(*)[]>::value >::type | operator() (_Up *__ptr) const

## Detailed Description

### template<typename _Tp>
struct std::default_delete< _Tp[]>

Specialization for arrays, default_delete.

Definition at line 86 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h